﻿@page
@model RegisterModel
@{
    ViewData["Title"] = "Register";
    Layout = null;
}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Simple Login Form Example</title>
    <link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Rubik:400,700'>
    <link rel="stylesheet" href="~/css/styles.css">
    <link rel="stylesheet" href="~/css/style.css">

</head>
<body>
    <!-- partial:index.partial.html -->
    <div class="login-form">
        <form id="registerForm" asp-route-returnUrl="@Model.ReturnUrl" method="post">
            <h1>Register</h1>
            <div class="content">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div class="input-field">
                    <input asp-for="Input.FirstName" placeholder="First name" class="form-control" autocomplete="username" aria-required="true" />
                    @*<label asp-for="Input.Email" class="form-label"></label>*@
                    <span asp-validation-for="Input.FirstName" class="text-danger"></span>
                    @*<input type="email" placeholder="Email" autocomplete="nope">*@
                </div>
                <div class="input-field">
                    <input asp-for="Input.LastName" placeholder="Last name" class="form-control" autocomplete="username" aria-required="true" />
                    @*<label asp-for="Input.Email" class="form-label"></label>*@
                    <span asp-validation-for="Input.LastName" class="text-danger"></span>
                    @*<input type="email" placeholder="Email" autocomplete="nope">*@
                </div>
                <div class="input-field">
                    <input asp-for="Input.Email" placeholder="Email" class="form-control" autocomplete="username" aria-required="true" />
                    @*<label asp-for="Input.Email" class="form-label"></label>*@
                    <span asp-validation-for="Input.Email" class="text-danger"></span>
                    @*<input type="email" placeholder="Email" autocomplete="nope">*@
                </div>
                <div class="input-field">
                    <input asp-for="Input.Password" placeholder="Password" class="form-control" autocomplete="current-password" aria-required="true" />
                    @*<label asp-for="Input.Password" class="form-label"></label>*@
                    <span asp-validation-for="Input.Password" class="text-danger"></span>
                    @*<input type="password" placeholder="Password" autocomplete="new-password">*@
                </div>
                <div class="input-field">
                    <input asp-for="Input.ConfirmPassword" placeholder="ConfirmPassword" class="form-control" autocomplete="ConfirmPassword" aria-required="true" />
                    @*<label asp-for="Input.Email" class="form-label"></label>*@
                    <span asp-validation-for="Input.ConfirmPassword" class="text-danger"></span>
                    @*<input type="email" placeholder="Email" autocomplete="nope">*@
                </div>
                @*<a href="#" class="link">Forgot Your Password?</a>*@
            </div>

            <div class="action">
                @*<a asp-page="./Login">Sign in</a>*@
                <button type="submit" id="login-submit">Register</button>
            </div>


        </form>
        <div id="redirect">
            <a asp-page="./Login">Sign in</a>
        </div>
    </div>

    <!-- partial -->
    <script src="~/js/script.js"></script>

    @section Scripts {
    <partial name="_ValidationScriptsPartial" />
    }
</body>
</html>

@*<h1>@ViewData["Title"]</h1>

    <div class="row">
    <div class="col-md-4">
    <form id="registerForm" asp-route-returnUrl="@Model.ReturnUrl" method="post">
    <h2>Create a new account.</h2>
    <hr />
    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <div class="form-floating">
    <input asp-for="Input.Email" class="form-control" autocomplete="username" aria-required="true" />
    <label asp-for="Input.Email"></label>
    <span asp-validation-for="Input.Email" class="text-danger"></span>
    </div>
    <div class="form-floating">
    <input asp-for="Input.Password" class="form-control" autocomplete="new-password" aria-required="true" />
    <label asp-for="Input.Password"></label>
    <span asp-validation-for="Input.Password" class="text-danger"></span>
    </div>
    <div class="form-floating">
    <input asp-for="Input.ConfirmPassword" class="form-control" autocomplete="new-password" aria-required="true" />
    <label asp-for="Input.ConfirmPassword"></label>
    <span asp-validation-for="Input.ConfirmPassword" class="text-danger"></span>
    </div>
    <button id="registerSubmit" type="submit" class="w-100 btn btn-lg btn-primary">Register</button>
    </form>
    </div>
    <div class="col-md-6 col-md-offset-2">
    <section>
    <h3>Use another service to register.</h3>
    <hr />
    @{
    if ((Model.ExternalLogins?.Count ?? 0) == 0)
    {
    <div>
    <p>
    There are no external authentication services configured. See this <a href="https://go.microsoft.com/fwlink/?LinkID=532715">
    article
    about setting up this ASP.NET application to support logging in via external services
    </a>.
    </p>
    </div>
    }
    else
    {
    <form id="external-account" asp-page="./ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl" method="post" class="form-horizontal">
    <div>
    <p>
    @foreach (var provider in Model.ExternalLogins)
    {
    <button type="submit" class="btn btn-primary" name="provider" value="@provider.Name" title="Log in using your @provider.DisplayName account">@provider.DisplayName</button>
    }
    </p>
    </div>
    </form>
    }
    }
    </section>
    </div>
    </div>

    @section Scripts {
    <partial name="_ValidationScriptsPartial" />
    }*@
